<?php
/**
* Joomla Community Builder User Plugin: cb.JLSGroupSelector
* @version $Id$
* @package cb.JLSGroupSelector
* @subpackage cb.jls_reggroup.xml
* @author Jorge Luis Savoini (aka BestBeast) - Based on em_regroup by Dron GS. (aka dron)
* @copyright (C) API Soft, www.apisoft.com.ar
* @license Limited  http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

/*
Modified by Kiran Kumar http://kiransuniverse.com to make it work in Joomla1.5
*/


/** ensure this file is being included by a parent file **/
//defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
if ( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }
$_PLUGINS->registerFunction( 'onAfterUserRegistration', 'jlsrgUserRegistration', 'plug_cb_jlsrg_regroup_class' );

/**
 * Need to generate tab object to grab plugin parameters.
 */
class plug_cb_jlsrg_regroup_class extends cbTabHandler {
	
	/**
	 * Construnctor
	 */
	function plug_cb_jlsrg_regroup_class() {
		$this->cbTabHandler();
	}
	
	/**
	 * Get all plugin, tab, and CB fields related with this application
	 * @access private
	 * @param object mosUser reflecting the user being displayed
	 */
	function _awGetPlugParameters(){

		$params = $this->params;
		
		// Plugin Parameters
		$PlugParams["jlsrg_enable"] = intval($params->get('jlsrg_enable', 0));

		return $PlugParams;
	}
	
	function jlsrgUserRegistration($user, $success) {
		$acl =& JFactory::getACL();

$database=& JFactory::getDBO();

		$plugparams=$this->_awGetPlugParameters();

		if (!$success) return false;
		
		if ($plugparams["jlsrg_enable"]){
			$query = "SELECT cb_usertype FROM #__comprofiler WHERE user_id = " . (int) $user->id ;
			$database->setQuery( $query );
			$usertype = $database->loadResult();

//			$gid		= (int) $acl->get_group_id( $usertype );
$query = "SELECT id FROM `#__core_acl_aro_groups`where name='$usertype' LIMIT 1";
$database->setQuery( $query );
			$gid= $database->loadResult();



			if ($gid && $usertype && (intval($user->id)) > 0 ){
				$query = "SELECT id FROM #__core_acl_aro WHERE value = " . (int) $user->id ;

				$database->setQuery( $query );
				$aro_id = (int) $database->loadResult();

				
				if ($aro_id){

					$query = "UPDATE #__users SET usertype = '".$usertype."', gid = '".$gid."'  WHERE id =" . (int) $user->id;
					
					$database->setQuery($query);
					$database->query();


			
					$query = "UPDATE #__core_acl_groups_aro_map SET group_id = " . $gid . " WHERE aro_id = " . $aro_id;


					$database->setQuery( $query );
					$database->query();
				} 
			}
		}
		
	}
	
	
} // end of class plug_cb_jlsrg_regroup_class
?>